View Issue Details

IDProjectCategoryView StatusLast Update
0016468mantisbthtmlpublic2014-12-08 00:34
ReporterSentor77Assigned Todregad 
PrioritylowSeveritytweakReproducibilityalways
Status closedResolutionfixed 
Product Version1.2.15 
Target Version1.3.0-beta.1Fixed in Version1.3.0-beta.1 
Summary0016468: Box "assigned" will not be shown if empty
Description

On the my_view_page, the box "assigned" will not be shown, if there are no open assigned bugs for the logged in user. All other boxes are shown empty, if there are no bugs in it.
I think the reason is found on line 90 of the my_vie_page.php.
You should replace

user_get_assigned_open_bug_count( $t_current_user_id, $t_project_id ) == 0

with

!access_has_project_level( config_get( 'handle_bug_threshold' ), $t_project_id, $t_current_user_id )

That will shown the box empty like all other empty boxes, too.

TagsNo tags attached.

Activities

There are no notes attached to this issue.

Related Changesets

MantisBT: master 216c4f9a

2013-10-12 18:49:18

dregad

Details Diff
Always display 'Assigned to me" box in My View page

But only for users who can be assigned issues of course.

Fixes 0016468
mod - my_view_page.php Diff File

Issue History

Date Modified Username Field Change
2013-10-11 03:32 Sentor77 New Issue
2013-10-12 18:51 dregad Changeset attached => MantisBT master 216c4f9a
2013-10-12 18:51 dregad Assigned To => dregad
2013-10-12 18:51 dregad Status new => resolved
2013-10-12 18:51 dregad Resolution open => fixed
2013-10-12 18:51 dregad Fixed in Version => 1.3.0-beta.1
2013-10-12 18:51 dregad Target Version => 1.3.0-beta.1
2014-12-08 00:34 vboctor Status resolved => closed